org.eclipse.wst.jsdt.chromium.debug.core

## Interface ScriptNameManipulator.FilePath

All Superinterfaces:
  java.lang.Iterable<java.lang.String>

Enclosing interface:
  ScriptNameManipulator

    public static interface ScriptNameManipulator.FilePath
    extends java.lang.Iterable<java.lang.String>

An interface to parsed file path. Iterator allows lazy parsing.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getLastComponent()`
`java.util.Iterator<java.lang.String>` `iterator()`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### getLastComponent

    java.lang.String getLastComponent()

#### iterator

    java.util.Iterator<java.lang.String> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.String>`
Returns:
  all file path components in reversed order excluding the last one